Skip to main content

Add uid to STP strategy group

request

post /api/v3/strategy/group/uid?uid=49910594&tradeGroupId=92&timestamp={{timestamp}}&signature={{signature}}

return

{
"data": {
"tradeGroupName": "1",
"tradeGroupId": 92,
"tradeGroupUid": "49910594",
"createTime": 1758044671000,
"updateTime": 1758044777000
},
"code": 200,
"msg": "success",
"timestamp": 1758044777023
}
  • POST /api/v3/strategy/group/uid

Permission: SPOT_ACCOUNT_WRITE

Weight(IP): 20

request

NameTypeMandatoryDescription
uidstringyesseparated by ,
tradeGroupIdstringyesstp strategy group id
timestamplongyestimestamp
signaturestringyessignature

return

NameTypeDescription
tradeGroupNamestringstp strategy group name
tradeGroupIdstringstp strategy group id
tradeGroupUidstringUIDs just add, separated by ,
updateTimelongupdate time

Precautions:

  • Only the master account is allowed to add uid; sub-accounts cannot access
  • Only strategy groups under the current master account can be operated; cross-master-account operations are not allowed